[![Codacy Badge](https://api.codacy.com/project/badge/Grade/8863ea3c46614e3bbc34c66c6dfd5b64)](https://www.codacy.com?utm_source=bitbucket.org&amp;utm_medium=referral&amp;utm_content=wirbelwild/typography&amp;utm_campaign=Badge_Grade)

# Typography

Helps writing good typography in CSS.

## Installation

This package is available for the use with [NPM](https://www.npmjs.com/package/bitandblack-typography), [Yarn](https://yarnpkg.com/en/package/bitandblack-typography) and [Composer](https://packagist.org/packages/bitandblack/typography). Use one of them to install: 

### Node

`$ npm install bitandblack-typography` 

### Yarn 

`$ yarn add bitandblack-typography` 

### Composer 

`$ composer require bitandblack/typography` and `$ composer update`

## Usage

__Typography__ provides some mixins which will make it easy to improve the typography on your page.

### Balance ragged lines 

Use `@include balance-ragged-lines();` to get the width property. 

You can define those variables globally or be calling the mixin:

*   `$typo-balance-ragged-lines-value`. Default is `103%` 

### Hanging punctuation 

Use `@include hanging-punctuation();` to get the hanging-punctuation property. 

You can define those variables globally or be calling the mixin:

*   `$typo-hanging-punctuation`. Default is `first last allow-end` 

### Hyphens 

Use `@include hyphens();` to get all hyphen related properties. 

You can define those variables globally or be calling the mixin:

*   `$typo-hyphens-limit-before`. Default is `3` 
*   `$typo-hyphens-limit-after`. Default is `3` 
*   `$typo-hyphens-limit-word`. Default is `6` 
*   `$typo-hyphens-limit-lines`. Default is `3` 
*   `$typo-hyphens-limit-last`. Default is `always` 
*   `$typo-hyphens-limit-zone`. Default is `8%` 

### Indent 

Use `@include indent();` to get all indent related properties. 

You can define those variables globally or be calling the mixin:

*   `$typo-indent-value`. Default is `1rem` 
*   `$typo-indent-first-element`. Default is `false` 

### Keep lines 

Use `@include keep-lines();` to get all properties to keep lines together. 

You can define those variables globally or be calling the mixin:

*   `$typo-orphans-value`. Default is `2` 
*   `$typo-widows-value`. Default is `2`  

## Help 

If you need help feel free to contact us under `typography@bitandblack.com`.
